## postgresql-common 85~feisty1

=== debian/changelog ===
postgresql-common (85~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- SpecialK <scottk@byu.edu>  Fri,  8 Feb 2008 13:50:30 +0000

postgresql-common (85) unstable; urgency=low

  * debian/README.Debian: Fix fatal typo that suggested dropping the wrong
    cluster on upgrade. (Closes: #464064)
  * pg_upgradecluster: Fix some typos in the POD, thanks to Brendan Jurd!

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Feb 2008 15:22:03 +0100

postgresql-common (84) unstable; urgency=low

  * Add t/140_pg_config.t: Check correct output of pg_config, to avoid bugs
    like #455509 and #462037 in the future.
  * t/040_upgrade.t: Create and cd into an inaccessible test directory.
  * pg_upgradecluster: Chdir to / before the upgrade to avoid confusing error
    messages about inaccessible cwd.
  * debian/README.Debian: Update for 8.3 being the default version. Drop
    description of 7.4 autovacuum daemon magic, since it is obsolete now.
  * debian/postgresql-common.templates: Point to README.Debian.
  * debian/postgresql-common.cron.d: Update for 8.3, and add warnings and doc
    pointer about enabling regular VACUUM FULL. (LP: #186831)
  * PgCommon.pm, get_cluster_locales(): Print proper error message when server
    package is removed, but not purged, and a cluster still exists.
    (Closes: #463070)
  * t/030_errors.t, t/130_nonroot_admin.t: Check pg_dropcluster/
    pg_createcluster error message when being called with insufficient
    privileges.
  * pg_createcluster, pg_dropcluster: Point out that program needs to be run
    as root when creating/removing config or data directory fails.
    (Closes: #460576)
  * t/090_multicluster.t: Remove test case for nonexisting PGSERVICE value,
    since this is not reliably reported in psql.
  * t/140_pg_config.t: Skip pg_config test for 8.1. It's known broken in Etch
    (pg_config was only shipped in libpq-def) and irrelevant in Lenny.

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Feb 2008 17:50:29 +0100

postgresql-common (83) unstable; urgency=low

  * Drop the "If you have openssl installed..." from the package description,
    since ssl-cert depends on it.
  * t/050_encodings.t: Add alternative unicode representation 0xc827 for the
    CVE-2006-2313 test, so that the testsuite runs cleanly in Ubuntu 6.06.
  * debian/supported-versions: Drop 8.1 from fallback set of supported
    versions.
  * debian/postgresql-common.config: Add check for forcing the obsoletion
    notifications when upgrading over a particular version. This provides the
    notification when upgrading from Etch to Lenny, and when obsoleting a
    major version within unstable.
  * debian/supported-versions: Drop support for 8.2 in unstable, 8.3 is the
    version du jour.
  * debian/supported-versions: Drop Ubuntu 5.10, fix a typo in the versions
    for Ubuntu 6.06.
  * t/090_multicluster.t: Test correct behaviour of pg_service.conf. (See
    #439026)
  * debian/supported-versions: Only support 8.3 in Ubuntu 8.04.

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Jan 2008 11:08:04 +0100

postgresql-common (82) unstable; urgency=low

  * debian/control: Fix 'commmon' typo. (Closes: #449532)
  * t/030_errors.t: Check that an /etc/postgresql/postgresql.conf leftover is
    not regarded as a cluster directory. This reproduces #450565.
  * PgCommon.pm, get_versions()/get_version_clusters(): Filter out '.' and
    '..' from readdir() output. (Closes: #450565)
  * pg_ctlcluster: Use "smart" mode shutdown by default, and add option
    -f/--force to use "fast" -> "immediate" -> kill -9 approach. (LP: #154012)
  * debian/init.d-functions: Use --force when stopping all clusters, since
    default smart mode can potentially block forever and thus fail to shut
    down a machine.
  * debian/README.Devel: Update for current bzr versions and hosting on
    code.launchpad.net.
  * Update Japanese debconf translations (Closes: #450902)

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Dec 2007 22:27:08 +0100

postgresql-common (81) unstable; urgency=low

  * debian/supported_versions: Welcome, Ubuntu Hardy (8.04)!
  * debian/postgresql-common.templates, debian/control: Language and grammar
    improvements, thanks a lot to Christian Perrier and the l10n teams!
    (Closes: #446457)
  * Update debconf translations, thanks to all translators!
    - French (Christian Perrier) (Closes: #446978)
    - Vietnamese (Clytie Siddall) (Closes: #447009)
    - Finnish (Esko Arajärvi) (Closes: #447045)
    - Italian (Luca Monducci) (Closes: #447052)
    - Galician (Jacobo Tarrio) (Closes: #447054)
    - Basque (Piarres Beobide) (Closes: #447131)
    - Spanish (Javier Fernández-Sanguino Peña) (Closes: #447417)
    - Czech (Miroslav Kure) (Closes: 447436)
    - Portugese (Miguel Figueiredo) (Closes: #447642)
    - Brazilian Portugese (Eder L. Marques) (Closes: #447881)
    - Russian (Sergey Alyoshin) (Closes: #448768)
    - German (Martin Pitt)

 -- Martin Pitt <mpitt@debian.org>  Sat, 03 Nov 2007 10:13:46 -0400

postgresql-common (80) unstable; urgency=low

  * pg_upgradecluster: Fix locale error checking.
  * pg_upgradecluster: Use cluster_exists() instead of
    cluster_data_directory().
  * PgCommon.pm: Fix cluster_data_directory() to consider the data_directory
    setting in postgresql.conf, which should trump the /pgdata symbolic link.
  * debian/init.d-functions: Check for 'postgresql.conf' instead of 'pgdata'
    in the test for a valid cluster configuration directory, since 'pgdata' is
    optional now.
  * pg_createcluster: Do not create pgdata symlinks to the data directory in
    /etc any more when configuring a >= 8.0 cluster. Use the data_directory
    configuration option instead. (Part of #444689)
  * t/020_create_sql_remove.t: Check that clusters still work when replacing
    the data_directory setting with a pgdata symbolic link, and that
    the data_directory setting trumps the symlink.

