## postgresql-common 85~gutsy1

=== debian/changelog ===
postgresql-common (85~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- SpecialK <scottk@byu.edu>  Fri,  8 Feb 2008 13:48:52 +0000
