## postgresql-common 87ubuntu3

=== debian/changelog ===
postgresql-common (87ubuntu3) hardy-proposed; urgency=low

  * t/030_errors.t: Check that pg_createcluster leaves the original one
    intact if the cluster already exists, also when the original one is not
    running. This reproduces LP #661061/Debian #597097.
  * pg_createcluster: Be more careful with cleaning up the created cluster if
    an error occurs: Do not start the cleanup until we actually passed our
    sanity checks and created files for the new cluster.  Before, it would
    erroneously remove an already existing cluster on a sanity check fail, if
    that cluster happened to not be running at the time. (LP: #661061)
    Patches cherrypicked from trunk r1024.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Oct 2010 11:09:35 +0200

postgresql-common (87ubuntu2) hardy-proposed; urgency=low

  * pg_maintenance: Fix $PATH to include /usr/bin, so that the cron job can
    run the "id" command. (LP: #422189)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Sep 2009 12:10:15 +0200

postgresql-common (87ubuntu1) hardy-proposed; urgency=low

  * PgCommon.pm, change_ugid(): Use /usr/bin/id instead of manual parsing with
    getgrent(), which is reportedly magnitudes faster for environments with
    a large number of groups in remote databases. (LP: #364669, Debian #491136)
    Patch backported from trunk r873 (applied in Ubuntu 8.10 and later).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 19 Jul 2009 15:13:15 +0200
