## postgresql-common 90

=== debian/changelog ===
postgresql-common (90) unstable; urgency=low

  * Update Swedish debconf translations, thanks Martin Bagge!
    (Closes: #490677)
  * Add Turkish debconf translations, thanks Mert Dirik!
    (Closes: #491007)
  * Update Vietnamese debconf translations, thanks Clytie Siddall!
    (Closes: #491048)
  * Update Russian debconf translations, thanks Sergey Alyoshin!
    (Closes: #491420)
  * PgCommon.pm, change_ugid(): Use /usr/bin/id instead of manual parsing with
    getgrent(), which is reportedly magnitudes faster for environments with
    a large number of groups in remote databases. Thanks to Rodrigo Gallardo!
    (Closes: #491136)
  * debian/postgresql-common.postinst: Update root.crt header comment for
    PostgreSQL 8.3. (Closes: #491276)
  * pg_ctlcluster: Fix typo in pg_ctl error messages. Thanks to Aaron Schrab!
    (Closes: #488280)
  * pg_createcluster, pg_ctlcluster: Set the log file group to "adm" if
    the cluster is owned by a system user (like "postgres"). In the "owned by
    human user" case, keep it as that user's primary group. Check both cases in
    the test suite. (Closes: #483017)
  * t/TestLib.pm: Return "1" at the end, to avoid "TestLib.pm did not return a
    true value" error on import.
  * PgCommon.pm, read_conf_file(): Fix parsing of escaped quotes in string
    values. Add tests to t/005_PgCommon.t. (Closes: #481055)

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Jul 2008 12:01:08 +0200

postgresql-common (89) unstable; urgency=low

  * Update Italian debconf translations, thanks Luca Monducci!
    (Closes: #479360)
  * Update Galician debconf translations, thanks Jacobo Tarrio!
    (Closes: #480971)
  * Update Euskara debconf translations, thanks Piarres Beobide!
    (Closes: #483239)
  * t/051_inconsistent_encoding_upgrade.t: Don't error out if there is just
    one major version installed.
  * Update Portugese debconf translations, thanks Luis Matos
    (Closes: #488570) and Ricardo Silva! (Closes: #489820)

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Jul 2008 08:44:59 +0200

postgresql-common (88) unstable; urgency=low

  * t/030_errors.t: Add various test cases for stopping stopped clusters with
    stale or corrupt PID files, with and without --force. This reproduces
    #473879.
  * pg_ctlcluster: On stop, clean up stale/corrupt PID files if the server is
    not running. Also fix a taint error and simplify the code a bit.
    (Closes: #473879)
  * t/030_errors.t: Test graceful handling of absent /var/lib/postgresql.
    (Reproduces LP #210322). Adapt 020_create_sql_remove.t accordingly.
  * pg_ctlcluster: Check early whether the data directory exists and is
    accessible, to avoid lots of Perl warning clutter. (LP: #210322)
  * pg_createcluster POD: Clarify what "integrating existing cluster data
    directory" means: configuration files must already be present, we cannot
    create them out of thin air. (Closes: #475954)
  * pg_maintenance: Sort versions for predictable output (looks nicer and
    unbreaks the test suite).

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2008 19:35:30 +0200
