## postgresql-common 94lenny1~bpo40+1

=== debian/changelog ===
postgresql-common (94lenny1~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Sat, 07 Feb 2009 21:39:45 +0100

postgresql-common (94lenny1) unstable; urgency=high

  * Urgency high because of RC bug fix (regression from Etch).
  * pg_ctlcluster, t/030_errors.t: Back out colliding ports check
    (r896), since in its current form it breaks setups where multiple
    clusters listen to the same port number, but are using different
    socket directories. This reopens #472627. (Closes: #514132)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Feb 2009 00:06:00 +0100

postgresql-common (94) unstable; urgency=low

  * t/070_non_postgres_clusters.t: Test that all cluster configuration files
    are owned by the cluster superuser. Reproduces #481349.
  * pg_createcluster: Make the cluster configuration directory, "start.conf",
    and "environment" owned by the cluster superuser instead of root.
    (Closes: #481349)
  * t/030_errors.t: Check behaviour of starting of clusters with colliding
    ports. Reproduces #472627.
  * pg_ctlcluster: Error out with a port collision message if another cluster
    is already running on the port. (Closes: #472627)
  * t/090_multicluster.t: Don't reconfigure cluster on conflicting port, since
    that now fails with above fix.

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Dec 2008 11:19:54 -0800

postgresql-common (93) unstable; urgency=low

  * t/060_obsolete_confparams.t: Test a direct upgrade from oldest to newest
    version in addition to consecutive version-by-version upgrades. This
    checks that parameters which changed several times between the versions
    are correctly converted. Reproduces #502106.
  * pg_upgradecluster: Re-read configuration file after doing the "syslog" ->
    "redirect_stderr" migration, so that the followup "redirect_stderr" ->
    "logging_collector" rename will actually be done. This fixes a direct 7.4
    -> 8.3 upgrade. (Closes: #502106)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Nov 2008 19:45:34 +0100

postgresql-common (92) unstable; urgency=low

  * debian/supported-versions: Add Ubuntu 8.10 and 9.04.
  * pg_upgradecluster: Clarify POD about manual mode of the old cluster.
    Thanks to Toni Mueller for noticing.
  * Demote ssl-cert Depends: to Recommends:. (Closes: #498406)
  * pg_upgradecluster: Provide --locale and -lc-* options similar to
    pg_createcluster, to provide easy UTF-8 migration from previous
    legacy-encoded clusters. (Closes: #505785)
  * t/052_upgrade_encodings.t: Test cases for pg_upgradecluster default and
    explicit encoding behaviour.
  * debian/init.d-functions: Use --force for forcefully stopping a running
    cluster for "restart" init.d operation as well. Otherwise restart is not
    guaranteed to succeed and could hang on existing connections.
    (Closes: #481359)
  * t/052_upgrade_encodings.t: Test upgrading of an SQL_ASCII database in a
    cluter running under a proper locale. This reproduces #505449.
  * pg_upgradecluster: Preserve SQL_ASCII encoded databases on upgrade.
    (Closes: #505449)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Nov 2008 13:42:31 +0100

postgresql-common (91) unstable; urgency=low

  * Update Brazilian Portugese debconf translations, thanks Eder L. Marques!
    (Closes: #493031)
  * Add Romanian debconf translations, thanks Igor Stirbu!
    (Closes: #491823)
  * debian/control: Bump Standards-Version (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Sep 2008 10:44:15 +0200
