## postgresql-common 94lenny1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk>, Gerfried Fuchs <rhonda@debian.at>
+Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
 Standards-Version: 3.8.0
 Build-Depends: cdbs, debhelper (>= 4.1.29)
