## postgresql-common 97

=== debian/changelog ===
postgresql-common (97) unstable; urgency=low

  * t/030_errors.t: Fix "no space left on device" test for non-English
    locales.
  * Add cleanpg: Script to remove all PostgreSQL related processes and files.
    This isn't shipped in the package, just kept in the source as a developer
    tool.
  * debian/control: Update section to "database".
  * debian/control: Bump Standards-Version to 3.8.1 (no changes required).
  * t/TestLib.pm, deb_installed(): Properly close the dpkg file descriptor.
    Thanks to Cyril Bouthors for pointing this out!
  * t/001_packages.t: Check that postgres user is in the ssl-cert group.
    Thanks to Cyril Bouthors for the patch!
  * Added support for passing additional options to pg_ctl through a new
    configuration file pg_ctl.conf, or as additional CLI arguments to
    pg_ctlcluster. Add tests in t/085_pg_ctl.conf.t. Thanks to Cyril Bouthors
    <cyril@bouthors.org> for the patch! (Closes: #492843)
  * t/070_non_postgres_clusters.t: Update number of tests for new pg_ctl.conf
    file.
  * t/090_multicluster.t: Check that explicit port specification with
    -p/--port/$PGPORT selects the right cluster in the case of multiple
    existing clusters where none runs on the default port. This reproduces
    #517527.
  * pg_wrapper: Default to latest version if -p, --port, or $PGPORT is
    specified, multiple clusters are available, and none is running on the
    default port 5432. (Closes: #517527)

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Mar 2009 07:41:50 +0100

postgresql-common (96) unstable; urgency=low

  * debian/supported-versions: Add "Debian 5.0" aka Lenny.
    (Closes: #509144)
  * debian/README.Debian: Document port handling, and point to
    relevant manpages and tools. (Closes: #508977)
  * debian/README.Debian: Fix "confident" typo. (Closes: #512648)
  * Drop pg_autovacuum handling, which was only necessary for 7.4 (8.0
    and above have internal autovacuuming). This was kept for Lenny to
    allow Etch backports. This also gets rid of pg_maintenance and
    /etc/cron.d/postgresql-common. (Closes: #425914, #481025)
  * Add debian/postgresql-common.preinst: Remove obsolete conffiles
    (cronjob and /etc/postgresql-common/autovacuum.conf) on upgrade.
  * Drop support for pre-8.1 clusters, together with all hacks and
    workarounds for those. Add Conflicts: to postgresql-{7.4,8.0}, to
    ensure that this version isn't used with ancient servers any more.
  * t/030_errors.t: Check that clusters on the same port can run side
    by side if they are using different Unix socket directories and
    different TCP addresses. This reproduces #514132.
  * pg_ctlcluster: Replace overly harsh port conflict check (which
    broke clusters on the same port, but different Unix/TCP
    namespaces) with a more modest one which just checks conflict on
    the same Unix socket directory. Thanks to Bernd Helmle for the
    patch! (Closes: #514132, #472627)
  * debian/postgresql-common.postinst: Do not call pg_updatedicts with
    full path (DP 6.1).
  * pg_lsclusters, pg_upgradecluster: Fix forgotten "=back" after
    itemize list in the POD. Thanks lintian.
  * debian/compat, debian/control: Bump compat level to 6.
  * pg_updatedicts: Ensure generated tsearch dictionaries are world
    readable when being generated under umask 077.
  * debian/README.Debian: Point out incompatibility between using the
    upstream tools (initdb) and the Debian tools (pg_createcluster)
    and give some recommendations. (LP: #138793)
  * debian/maintscripts-functions: Unset $GREP_OPTIONS. Thanks to
    Carlo Calderoni for noticing!

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Feb 2009 17:37:58 +0100

postgresql-common (95) experimental; urgency=low

  * Add automatic building of PostgreSQL tsearch/stem dictionaries:
    - Add pg_updatedicts: Build dictionaries and affix files from installed
      hunspell/myspell dictionary packages.
    - Add t/150_tsearch_stemming.t: Test cases for pg_updatedicts, tsearch
      functionality, and word stem handling.
    - t/001_packages.t: Ensure that hunspell-en-us is installed, above new
      test relies on it.
    - debian/postgresql-common.install: Install pg_updatedicts.
    - debian/rules: Create man page from pg_udpatedicts POD.
    - Add debian/postgresql-common.triggers: Register interest on
      /usr/share/myspell/dicts.
    - debian/postgresql-common.postinst: Call pg_updatedicts on upgrade to
      this version, fresh install, and our trigger.
    - debian/postgresql-common.postrm: Remove /var/cache/postgresql on purge.
    - (LP: #301770)

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Dec 2008 11:35:52 -0800
