## postgresql-common 101~intrepid1

=== debian/changelog ===
postgresql-common (101~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Backport <archive@ubuntu.com>  Mon, 09 Nov 2009 13:45:15 +0000

postgresql-common (101) unstable; urgency=low

  * debian/supported-versions: Only support 8.4 in Ubuntu 9.10. (LP: #403381)
  * PgCommon.pm, change_ugid(): Fix taint error. (LP: #403693)
  * Update Swedish debconf translations, thanks Martin Bagge!
    (Closes: #539216)
  * t/090_multicluster.t: Run psql error tests under LC_MESSAGES=C to not fail
    under non-English locales.
  * pg_upgradecluster: Do not try to migrate "stats_*" settings to
    "track_counts" again if track_counts is already set. This led to disabling
    autovacuum on a 8.3 → 8.4 migration. (Closes: #540351)
  * pg_upgradecluster: Fix owner of pg_hba.conf after upgrade, to also work in
    tight umask settings.
  * debian/control: Bump Standards-Version to 3.8.3; no changes necessary.
  * debian/control: Re-promote ssl-cert to Depends:. Dropping to recommends
    does not buy anything and causes regressions. (Closes: #540982)

 -- Martin Pitt <mpitt@debian.org>  Sun, 06 Sep 2009 21:30:40 +0200

postgresql-common (100) unstable; urgency=low

  * t/005_PgCommon.t: Add test case for read_conf_file() for configuration
    files with an include directive. This reproduces #535428.
  * PgCommon.pm, read_conf_file(): Correctly handle includes.
    (Closes: #535428)
  * PgCommon.pm: Check environment variable $PG_CLUSTER_CONF_ROOT for an
    alternative configuration root (default: /etc/postgresql/). For
    testing/development purposes you can change this to point to e. g. your
    home directory, so that you can use the postgresql-common tools without
    root privileges. Thanks to Aidan Van Dyk for the suggestion and patch!
  * pg_createcluster: If calling as non-root user, default to effective user
    id for owneruid instead of root. This makes using $PG_CLUSTER_CONF_ROOT
    more convenient.
  * pg_wrapper: Document PG_CLUSTER_CONF_ROOT in the POD.
  * debian/control: Add missing ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.8.2; no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 05 Jul 2009 22:57:11 +0200

postgresql-common (99) unstable; urgency=low

  * Update Czech debconf translations, thanks Miroslav Kure.
    (Closes: #534794)
  * PgCommon.pm, cluster_info(): Do not set a default log file if the cluster
    uses syslog for logging. Thanks Antti Merenluoto!
  * debian/supported-versions: Add Ubuntu 9.10.
  * t/030_errors.t: Fix "invalid pg_hba.conf" test for translated PostgreSQL
    error message.

 -- Martin Pitt <mpitt@debian.org>  Sun, 28 Jun 2009 21:38:08 +0200

postgresql-common (98) unstable; urgency=low

  * debian/control: Add missing lsb-release dependency (which now ships the
    lsb_release program). (Closes: #520992)
  * Add support for 8.4 (pre-release snapshots for now):
    - debian/supported-versions: Support 8.4 everywhere (for backports).
    - cleanpg: Remove 8.4 clusters.
    - pg_createcluster: Clone configure_8_3() as configure_8_4().
    - t/060_obsolete_confparams.t: Add complete set of 8.3 configuration
      options, to test configuration migration to 8.4.
    - PgCommon.pm, get_cluster_locales(): Bail out if calling on 8.4 or later
      cluster (where locales are not associated to clusters any more).
      PgCommon.pm, get_cluster_databases(): Ignore lines from psql -Atl which
      just describe access permissions.
    - pg_ctlcluster: Only do locales check for <= 8.3 for now.
    - "ident sameuser" does not exist any more in 8.4, just use "ident" from
      8.4 on.
    - pg_createcluster: Do not symlink root.crt if
      /etc/postgresql-common/root.crt does not have actual certificates (just
      the help text), since 8.4 gets royally confused about the dummy one.
    - pg_upgradecluster: Migrate obsolete/changed configuration parameters.
    - t/020_create_sql_remove.t: Fix parsing of psql -Atl output for new 8.4
      format.
    - t/030_errors.t: 8.4 now fails on invalid pg_hba.conf, update
      accordingly.
    - t/050_encodings.t: Stop using pg_controldata for checking cluster
      encoding. Just check psql -Atl.
  * pg_upgradecluster: Don't call createdb/dropdb with -q; it got dropped in
    8.4 and is not necessary any more with 8.3 either.
  * t/010_defaultport_cluster.t: Ensure that we run the test with
    LC_MESSAGES=C, so that it succeeds in non-English locales, too.
  * t/051_inconsistent_encoding_upgrade.t: Disable if the oldest available
    cluster is 8.3 or newer; the test is not relevant there, and will fail.

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Apr 2009 21:58:35 -0700
