## postgresql-common 106~jaunty1

=== debian/changelog ===
postgresql-common (106~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 24 Apr 2010 21:22:05 +0100

postgresql-common (106) unstable; urgency=low

  * t/001_packages.t: Check for ".utf8" locale instead of ".UTF-8". This
    seems to be the new canonical spelling now.
  * t/TestLib.pm, check_clean(): Require that /var/log/postgresql/ still
    exists. If we remove it entirely, current versions of logcheck complain
    loudly. This was already fixed a while ago in squeeze, this will ensure it
    stays so. (Closes: #576180)
  * t/040_upgrade.t: Check upgrade of database and table ACL, an ALTER
    DATABASE option, and correct upgrading of a custom pg_hba.conf. This
    reproduces #543506.
  * pg_upgradecluster: Rework logic to use "pg_dumpall -s" instead of
    "pg_dumpall -g", to also catch ACLs, global settings, and the like. Drop
    manual database creation and encoding special-cases, since those are being
    taken care of by the -s commands already. (Closes: #543506, #562676)
  * pg_upgradecluster: Re-enable connections after the upgrade is done, not in
    between.
  * t/120_pg_upgradecluster_scripts.t: Upgrade scripts should not create
    tables in the "init" phase, since they will be overwritten during
    dump/restore. Change the test case to move table changes into the "finish"
    phase, and update documentation in pg_upgradecluster to point out this
    potential problem.
  * debian/init.d-functions, status(): More appropriate output formatting for
    "status" init script commands. (Closes: #522679)

 -- Martin Pitt <mpitt@debian.org>  Mon, 05 Apr 2010 17:58:25 +0200

postgresql-common (105) unstable; urgency=low

  * debian/postgresql-common.postinst: Fix upgrade failure if no tsearch
    dictionaries exist. (Closes: #565966)

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jan 2010 12:33:10 +0100

postgresql-common (104) unstable; urgency=low

  * pg_updatedicts: Process dictionaries from /usr/share/hunspell, too.
  * debian/control: Add Vcs-* fields.
  * Add standard license headers to all programs, and update copyright.
  * debian/copyright: Update to DEP-5 (Machine-readable debian/copyright), and
    drop Oliver's copyright, since there is nothing left that was written by
    him.
  * pg_updatedicts: Do not create system_<locale>.{affix,dict} symlinks any
    more, but use the actual names that upstream PostgreSQL looks for (without
    system_ prefix). This allows us to drop the system_ lookup patch from
    PostgreSQL. Update t/150_tsearch_stemming.t accordingly and remove the old
    system_* symlinks on upgrade in debian/postgresql-common.postinst.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Jan 2010 23:16:21 +0100

postgresql-common (103) unstable; urgency=low

  * Move the lsb-release dependency of p-common to a recommends of
    p-client-common. (Closes: #562642)
  * Drop Oliver from Uploaders:, he has not been active any more for years.
  * t/005_PgCommon.t: Add '.' to library search path, so that this prefers
    testing PgCommon.pm from the source tree.
  * t/005_PgCommon.t: Add test cases for {set,disable,replace}_conf_value().
  * PgCommon.pm, replace_conf_value(): Do not append the new parameter if the
    old is not found.
  * PgCommon.pm, {set,disable,replace}_conf_value(): Intercept errors on
    writing data (which could happen when running out of disk space). Write
    into a new file and rename it in the end, instead of directly writing into
    the original file. Thanks to Yann Dirson for the original patch.
    (Closes: #549206)
  * pg_createcluster: Change effective gid as well when setting the socket
    directory, to avoid moving postgresql.conf's group to root (which would
    happen with the previous change).
  * Add t/042_upgrade_tablespaces.t: Test upgrading a cluster with
    tablespaces. Since this is not currently supported (and hard to do in an
    automated fashion due to the nature of tablespaces), just check that this
    errors out with a sane message and does not do any damage.
  * pg_upgradecluster: Add an early check for tablespaces. (Closes: #523574)
  * pg_lsclusters: Fix undefined value if owneruid cannot be determined (which
    can happen in special setups). Thanks to Daniel Pittman! (Closes: #541434)
  * t/020_create_sql_remove.t: Verify permissions of the data and
    configuration directories.
  * pg_createcluster: Make /etc/postgresql/<version> and
    /var/lib/postgresql/<version> owned by 'postgres', so that they can be
    administrated with 'postgres' privileges. Update t/030_errors.t
    accordingly. (LP: #236704, Closes: #525294)
  * t/020_create_sql_remove.t: Check that a missing log file is recreated by
    pg_ctlcluster (if it has enough permissions).
  * pg_ctlcluster: Make re-creation of log file actually work. (LP: #391119,
    #372476)

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Dec 2009 23:06:10 +0100

postgresql-common (102) unstable; urgency=low

  * debian/postgresql-common.postinst: Create /var/log/postgresql/ if it does
    not exist, before trying to chown/chmod it.
  * t/001_packages.t: Check that -server-dev-* is installed (for
    t/140_pg_config.t)
  * t/001_packages.t: Check that the system default locale is an UTF-8 one.
  * debian/supported-versions: Add Ubuntu 10.04.
  * t/050_encodings.t: Disable Russian error message encoding test for now,
    since Russian translations were dropped upstream (too incomplete).

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Dec 2009 19:05:19 +0100
