## postgresql-common 106

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
 Standards-Version: 3.8.3
+Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
+Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
 Build-Depends: cdbs, debhelper (>= 6)
 
 Package: postgresql-common
 Architecture: all
 Conflicts: postgresql-7.4, postgresql-8.0
 Depends: postgresql-client-common (>= ${source:Version}), procps, adduser,
- debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), lsb-release,
+ debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3),
  ssl-cert (>= 1.0.11), ${misc:Depends}
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
@@ -30,6 +31,7 @@
 Package: postgresql-client-common
 Architecture: all
 Depends: debconf (>= 0.5.00) | debconf-2.0, ${misc:Depends}
+Recommends: lsb-release
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
