## postgresql-common 106ubuntu1

=== debian/changelog ===
postgresql-common (106ubuntu1) lucid-proposed; urgency=low

  * t/030_errors.t: Check that pg_createcluster leaves the original one
    intact if the cluster already exists, also when the original one is not
    running. This reproduces LP #661061/Debian #597097.
  * pg_createcluster: Be more careful with cleaning up the created cluster if
    an error occurs: Do not start the cleanup until we actually passed our
    sanity checks and created files for the new cluster.  Before, it would
    erroneously remove an already existing cluster on a sanity check fail, if
    that cluster happened to not be running at the time. (LP: #661061)
    Patches cherrypicked from trunk r1024.
  * debian/control: Set Vcs-Bzr to lucid branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Oct 2010 11:04:24 +0200
