=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.8.3
-Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
-Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
+Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common-lucid/
+Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common-lucid/
 Build-Depends: cdbs, debhelper (>= 6)
 
 Package: postgresql-common
