## postgresql-common 106ubuntu3

=== debian/changelog ===
postgresql-common (106ubuntu3) lucid-proposed; urgency=low

  * pg_ctlcluster: Drop erroneous $result assignment which was introduced in
    the previous version due to a mis-merge.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Sep 2012 08:05:03 +0200

postgresql-common (106ubuntu2) lucid-proposed; urgency=low

  * pg_ctlcluster: Do not remove the PID file after SIGKILLing the
    postmaster in the "last-ditch effort to shut down" in --force mode. This
    is a potentially dangerous thing to do when trying to start a second
    postmaster in parallel while the first one is still being shut down.
    (see http://archives.postgresql.org/pgsql-general/2012-07/msg00475.php)
    Patch taken from trunk r1181. (LP: #1042556)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Sep 2012 15:13:49 +0200
